Subject: bug#28182: maybe implement CTRL++ to zoom text

From: Drew Adams <[email-masked]>
Date: Wed, 23 Aug 2017 16:23:57 -0700 (PDT)

> I think that people want to increase size of font when they are in an
> environment with mouse.  Thus I suggest <C-wheel-up> and <C-wheel-down>.

+1.

FWIW, I do that in zoom-frm.el.  

Commands `zoom-in' and `zoom-out' can do text-scaling or frame-zooming,
depending on the value of variable `zoom-frame/buffer' (which you can
toggle with a prefix arg for the command).

(global-set-key [S-mouse-1]   'zoom-in)
(global-set-key [C-S-mouse-1] 'zoom-out)
(global-set-key (vector (list 'control mouse-wheel-down-event)) 'zoom-in)
(global-set-key (vector (list 'control mouse-wheel-up-event))   'zoom-out)

And in/out command `zoom-in/out':
(define-key ctl-x-map [(control ?+)] 'zoom-in/out)
(define-key ctl-x-map [(control ?-)] 'zoom-in/out)
(define-key ctl-x-map [(control ?=)] 'zoom-in/out)
(define-key ctl-x-map [(control ?0)] 'zoom-in/out)

https://www.emacswiki.org/emacs/download/zoom-frm.el